# -*- coding: utf-8 -*-

#1a) Un file PDB può contenere i dati relativi a più catene proteiche.
# Si implementi la funzione chaindict(pdbfile) che restituisca un dizionario 
# le cui chiavi sono gli identificatori delle catene presenti nel file 
# "pdbfile", e i cui valori sono le stringhe che rappresentano le rispettive 
# sequenze di amminoacidi (con simboli a una sola lettera maiuscola).
# Si faccia l'assunzione che catene in modelli distinti entro la stessa struttura 
# abbiano sempre identificatori diversi.
# Suggerimento: le informazioni su una catena possono essere gestite attraverso
# un'istanza della classe Polypeptide in Bio.PDB.Polypeptide; essa si può 
# ottenere passando un oggetto Chain al costruttore di Polypeptide.


from Bio.PDB.PDBParser import PDBParser
from Bio.PDB.Polypeptide import Polypeptide

def chaindict(pdbfile):
    par=PDBParser()
    structure=par.get_structure('MYSTRUCT', pdbfile)
    cdict={}
    chains=structure.get_chains()
    for chain in chains:
        my_polypeptide=Polypeptide(chain)
        cdict[chain.get_id()]=str(my_polypeptide.get_sequence())  
    return cdict
        
 