# -*- coding: utf-8 -*-

#2a) Si sviluppi la funzione chainbyid(pdbfile, ident, excludedchars='') che 
# restituisca una stringa derivata alla sequenza proteica con identificatore 
# "ident" presente nel file PDB "pdbfile"; tale stringa si ottiene dalla 
# sequenza proteica togliendo tutti i caratteri che compaiono nella stringa 
# "excludedchars".
# Si faccia l'assunzione che catene in modelli distinti entro la stessa struttura 
# abbiano sempre identificatori diversi.


from Bio.PDB.PDBParser import PDBParser
from Bio.PDB.Polypeptide import Polypeptide

def chainbyid(pdbfile, ident, excludedchars=''):
    par=PDBParser()
    structure=par.get_structure('MYSTRUCT', pdbfile)
    for model in structure:
        try:
            mychain=model[ident]
            myseq=str(Polypeptide(mychain).get_sequence())
            for c in excludedchars:
                myseq=myseq.replace(c,'')               
            return myseq
        except KeyError:
            pass
    return ''

    